1. Fabrik 3.9 has been released. If you have updated Joomla to 3.9, this is a required update.
    Dismiss Notice

gettting this error after updating to latest on github

Discussion in 'Professional Support' started by skyrun, Dec 19, 2018.

Thread Status:
Not open for further replies.
  1. skyrun

    skyrun Active Member

    Level: Community
    just started happening today... when i go to my homepage (or /administrator) i get a 500 error. turning on error messages i see:

    Warning: require([mypath]/libraries/fabrik/vendor/composer/../ralouphie/getallheaders/src/getallheaders.php): failed to open stream: No such file or directory in /home/skyrunftp/subdomains/testlocation/httpdocs/libraries/fabrik/vendor/composer/autoload_real.php on line 66

    Fatal error: require(): Failed opening required '[mypath]/libraries/fabrik/vendor/composer/../ralouphie/getallheaders/src/getallheaders.php' (include_path='.:/opt/cpanel/ea-php72/root/usr/share/pear') in /home/skyrunftp/subdomains/testlocation/httpdocs/libraries/fabrik/vendor/composer/autoload_real.php on line 66

    fyi, updating with: wget --no-check-certificate https://github.com/Fabrik/fabrik/tarball/master -O - | tar -zx --strip-components 1
     
    Last edited: Dec 19, 2018
  2. skyrun

    skyrun Active Member

    Level: Community
    fyi, got my site to load by removing references to 'getallheaders.php' from the arrays in files libraries/fabrik/vendor/composer/autoload_files.php and autoload_static.php

    probably not a permanent solution, but just in case someone needs to take some emergency action.

    also, fyi, the 'github commits' module is blank on this forum page.
     
    Last edited: Dec 19, 2018
  3. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
  4. skyrun

    skyrun Active Member

    Level: Community
    following up on this. yes, the latest works. thanks.
     
Thread Status:
Not open for further replies.

Share This Page